import src.UI as UI

def create_socket_or_die():
    '''Create a socket to prevent multiple instances of this program'''
    import socket

    HOST = 'localhost'
    PORT = 44528
    s = socket.socket()

    try:
        s.bind((HOST, PORT))
    except OSError:
        # Program is already running
        exit()

    return s

if __name__ == '__main__':
    s = create_socket_or_die()
    app = UI.VesicleAnnotationInterface()
    s.close()
